summary refs log tree commit diff
path: root/pkgs/misc
diff options
context:
space:
mode:
authorSandro Jäckel <sandro.jaeckel@gmail.com>2021-11-14 16:55:01 +0100
committerSandro Jäckel <sandro.jaeckel@gmail.com>2021-11-17 01:35:34 +0100
commita63f9e1ca11bb1d795e89d3c41b0c5141f198b1a (patch)
treea3fbd1840dbb47a1caec79074aec3bdee612307e /pkgs/misc
parentcf0519854227bac9f429c8b5129a75168cc4de26 (diff)
downloadnixpkgs-a63f9e1ca11bb1d795e89d3c41b0c5141f198b1a.tar
nixpkgs-a63f9e1ca11bb1d795e89d3c41b0c5141f198b1a.tar.gz
nixpkgs-a63f9e1ca11bb1d795e89d3c41b0c5141f198b1a.tar.bz2
nixpkgs-a63f9e1ca11bb1d795e89d3c41b0c5141f198b1a.tar.lz
nixpkgs-a63f9e1ca11bb1d795e89d3c41b0c5141f198b1a.tar.xz
nixpkgs-a63f9e1ca11bb1d795e89d3c41b0c5141f198b1a.tar.zst
nixpkgs-a63f9e1ca11bb1d795e89d3c41b0c5141f198b1a.zip
vscode-extensions.update_installed_exts.sh: add function how to use the output with vscode, make shellcheck work
Diffstat (limited to 'pkgs/misc')
-rwxr-xr-xpkgs/misc/vscode-extensions/update_installed_exts.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/pkgs/misc/vscode-extensions/update_installed_exts.sh b/pkgs/misc/vscode-extensions/update_installed_exts.sh
index 8e0af182cec..5af747605f5 100755
--- a/pkgs/misc/vscode-extensions/update_installed_exts.sh
+++ b/pkgs/misc/vscode-extensions/update_installed_exts.sh
@@ -1,7 +1,23 @@
 #! /usr/bin/env nix-shell
 #! nix-shell -i bash -p curl jq unzip
+# shellcheck shell=bash
 set -eu -o pipefail
 
+# can be added to your configuration with the following command and snippet:
+# $ ./pkgs/misc/vscode-extensions/update_installed_exts.sh > extensions.nix
+#
+# packages = with pkgs;
+#   (vscode-with-extensions.override {
+#     vscodeExtensions = map
+#       (extension: vscode-utils.buildVscodeMarketplaceExtension {
+#         mktplcRef = {
+#          inherit (extension) name publisher version sha256;
+#         };
+#       })
+#       (import ./extensions.nix).extensions;
+#   })
+# ]
+
 # Helper to just fail with a message and non-zero exit code.
 function fail() {
     echo "$1" >&2